
Figure - Bug #115359
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】设置中通知选项，打开历史消息通知，点击过去24小时的通知中任意应用的通知，
提示：在已安装应用列表中找不到该应用。
2023-01-16 15:34 - CD TEST-方永红

Status: CLOSED Start date: 2023-01-16

Priority: Normal Due date: 2023-02-03

Assignee: CD TEST-方永红 % Done: 100%

Category: 客户jira bug Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301161238

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301300321

Reproducibility: Every time Fixed Version: 2023-01-18

Test Type: IT Root cause: 由于 Settings 页面结构调整，外部启动 Settings 的页面会首先启动 SettingsActivity，然后转换 Intent，再启动 SettingsHomePageActivity，SettingsActivity 被关闭。导致子页面中使用 getActivity().getIntent() 拿到的 Intent 不是新的 Intent 数据，所以报错。

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开打开历史消息通知

2、设备收到一条消息（如飞书）

3、点击收到的这个通知

【预期结果】

3、跳转到相应的应用

【实际结果】

3、提示：在已安装应用列表中找不到该应用。

History

#1 - 2023-01-17 11:22 - CD FW 曹覃刚

- Due date set to 2023-02-03

#2 - 2023-01-18 17:16 - CD FW-廖涛

- Root cause set to 由于 Settings 页面结构调整，外部启动 Settings 的页面会首先启动 SettingsActivity，然后转换 Intent，再启动 SettingsHomePageActivity

，SettingsActivity 被关闭。导致子页面中使用 getActivity().getIntent() 拿到的 Intent 不是新的 Intent 数据，所以报错。

■ Current conclusion

已处理。

■ My analysis

由于 Settings 页面结构调整，外部启动 Settings 的页面会首先启动 SettingsActivity，然后转换 Intent，再启动 SettingsHomePageActivity，SettingsActivity 被关闭

。导致子页面中使用 getActivity().getIntent() 拿到的 Intent 不是新的 Intent 数据，所以报错。

解决方法：由于 onNewIntent 中新进来的 Intent 被保留到本地 mIntent 变量，所以子页面应该取其值。复写 SettingsHomePageActivity 的 getIntent() 方法，当

mIntent 不为空时，返回 mIntent，否则返回 super.getIntent()

2025-07-04 1/3



■ Next action

代码等待 Review。

#3 - 2023-01-18 18:12 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

177319 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix notification history navigate bug.1. Fix when open notification history, it occur no app problem;2. Modify ChannelNotificationSettings page

style;TC-RID: 1201-0201803IssueID: TS-R-BUG-115359Change-Id: Ib0d7bba11002875d282179ddd43e8d290a43f57a

#4 - 2023-01-18 18:13 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-01-18

■ Current conclusion

已处理，代码已入库。

■ My analysis

同上。

■ Next action

测试验证。

#5 - 2023-01-30 11:35 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301300321

1.30

验证通过

#6 - 2023-01-30 11:36 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#7 - 2023-02-09 14:18 - CD TEST-方永红

- Category changed from CD-FW to 客户jira bug

Files
1525222.png 220 KB 2023-01-16 CD TEST-方永红
